module Validation {
    export interface NumberValidator {
        isAcceptable(s: number): boolean;
    }

    var lettersRegexp = /^[A-Za-z]+$/;
    var numberRegexp = /^[0-9]+$/;

    export class NumberOnlyValidator implements NumberValidator {
        isAcceptable(s: number) {
            return numberRegexp.test(s);
        }
    }
}

var numbers = ['545121', 'john'];

var validators: { [s: number]: Validation.NumberValidator; } = {};
validators[' number only<br>'] = new Validation.NumberOnlyValidator();

numbers.forEach(s => {
    for (var name in validators) {
        document.write('"' + s + '" ' + (validators[name].isAcceptable(s) ? ' matches' : ' does not match') + name);
    }
});